curl --request POST \
--url https://api.aisa.one/apis/v1/twelvedata/get-funds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"format": "JSON",
"symbol": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/twelvedata/get-funds"
payload = {
"format": "JSON",
"symbol": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({format: 'JSON', symbol: '<string>'})
};
fetch('https://api.aisa.one/apis/v1/twelvedata/get-funds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/twelvedata/get-funds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'format' => 'JSON',
'symbol' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/twelvedata/get-funds"
payload := strings.NewReader("{\n \"format\": \"JSON\",\n \"symbol\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/twelvedata/get-funds")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"format\": \"JSON\",\n \"symbol\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/twelvedata/get-funds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"format\": \"JSON\",\n \"symbol\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"result": {
"list": [
{
"name": "<string>",
"type": "<string>",
"symbol": "<string>",
"country": "<string>",
"currency": "<string>",
"exchange": "<string>",
"mic_code": "<string>",
"isin": "<string>",
"cusip": "<string>",
"access": {
"plan": "<string>",
"global": "<string>"
},
"cfi_code": "<string>",
"figi_code": "<string>"
}
],
"count": 123
},
"status": "<string>"
}Get Funds
curl --request POST \
--url https://api.aisa.one/apis/v1/twelvedata/get-funds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"format": "JSON",
"symbol": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/twelvedata/get-funds"
payload = {
"format": "JSON",
"symbol": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({format: 'JSON', symbol: '<string>'})
};
fetch('https://api.aisa.one/apis/v1/twelvedata/get-funds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/twelvedata/get-funds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'format' => 'JSON',
'symbol' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/twelvedata/get-funds"
payload := strings.NewReader("{\n \"format\": \"JSON\",\n \"symbol\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/twelvedata/get-funds")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"format\": \"JSON\",\n \"symbol\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/twelvedata/get-funds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"format\": \"JSON\",\n \"symbol\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"result": {
"list": [
{
"name": "<string>",
"type": "<string>",
"symbol": "<string>",
"country": "<string>",
"currency": "<string>",
"exchange": "<string>",
"mic_code": "<string>",
"isin": "<string>",
"cusip": "<string>",
"access": {
"plan": "<string>",
"global": "<string>"
},
"cfi_code": "<string>",
"figi_code": "<string>"
}
],
"count": 123
},
"status": "<string>"
}请求规范
- 方法与路径: POST /apis/v1/twelvedata/get-funds
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/twelvedata/get-funds - Runtime 事实版本: be86868d55452e2d3238a78a01e84ee4ea754154da2627dd8e94fd2d5f19c061
{
"operationId": "twelvedata.get-funds",
"method": "POST",
"path": "/apis/v1/twelvedata/get-funds",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"cik": {
"type": "string",
"examples": [
"95953"
],
"description": "The CIK (Central Index Key) of an instrument for which data is requested (e.g., '95953')."
},
"figi": {
"type": "string",
"examples": [
"BBG000BHTMY7"
],
"description": "Filter by financial instrument global identifier (FIGI). Available starting with the Ultra plan (e.g., 'BBG000BHTMY7')."
},
"isin": {
"type": "string",
"examples": [
"US0378331005"
],
"description": "Filter by international securities identification number (ISIN). ISIN access is activated in the Data add-ons section (e.g., 'US0378331005')."
},
"page": {
"type": "integer",
"minimum": 1,
"examples": [
1
],
"description": "Page number of the results to fetch. Default is 1."
},
"cusip": {
"type": "string",
"examples": [
"594918104"
],
"description": "The CUSIP of an instrument for which data is requested. CUSIP access is activated in the Data add-ons section (e.g., '594918104')."
},
"format": {
"enum": [
"JSON"
],
"type": "string",
"description": "The format of the response data. Only JSON is supported."
},
"symbol": {
"minLength": 1,
"pattern": "^[^,]+$",
"type": "string",
"description": "The ticker symbol of an instrument for which data is requested (e.g., 'FXAIX')."
},
"country": {
"type": "string",
"examples": [
"United States",
"US"
],
"description": "Filter by country name or alpha code, e.g., 'United States' or 'US'."
},
"exchange": {
"type": "string",
"examples": [
"Nasdaq"
],
"description": "Filter by exchange name (e.g., 'Nasdaq')."
},
"show_plan": {
"type": "boolean",
"description": "Adds information on which plan the symbol is available. When true, each fund includes an 'access' object with plan details."
},
"outputsize": {
"type": "integer",
"minimum": 1,
"examples": [
5000
],
"description": "Determines the number of data points returned in the output. Default is 5000."
}
},
"required": [
"format",
"symbol"
]
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"estimate_source": "unavailable",
"estimate_unavailable_reason": "reference_request_unavailable",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 10000000
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
The format of the response data. Only JSON is supported.
JSON The ticker symbol of an instrument for which data is requested (e.g., 'FXAIX').
1^[^,]+$The CIK (Central Index Key) of an instrument for which data is requested (e.g., '95953').
"95953"
Filter by financial instrument global identifier (FIGI). Available starting with the Ultra plan (e.g., 'BBG000BHTMY7').
"BBG000BHTMY7"
Filter by international securities identification number (ISIN). ISIN access is activated in the Data add-ons section (e.g., 'US0378331005').
"US0378331005"
Page number of the results to fetch. Default is 1.
x >= 11
The CUSIP of an instrument for which data is requested. CUSIP access is activated in the Data add-ons section (e.g., '594918104').
"594918104"
Filter by country name or alpha code, e.g., 'United States' or 'US'.
"United States"
"US"
Filter by exchange name (e.g., 'Nasdaq').
"Nasdaq"
Adds information on which plan the symbol is available. When true, each fund includes an 'access' object with plan details.
Determines the number of data points returned in the output. Default is 5000.
x >= 15000